Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028387
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 04. Warehouse managementminorsometimes2014-12-11 14:072014-12-30 23:27
ReporteraferrazView Statuspublic 
Assigned Toumartirena 
PrioritylowResolutionfixedFixed in Versionpi
StatusclosedFix in branchpiFixed in SCM revision9a54bcd074e8
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028387: [Costing] Bill of Materials Production Accounting should always be created in the same order

DescriptionBill of Materials Production Accounting should always be created in the same order

In order to help JUnit tests assert Bill of Materials Production accounting, its lines should always be created in the same order.
Steps To ReproduceIn "QA Testing" client:

- Create a product with name "BOM - part 1", "Finished Goods" product category, "Purchase" price list version and 15.00 unit/lis price.

- Create another product with name "BOM - part 2", "Finished Goods" product category, "Purchase" price list version and 25.00 unit/lis price.

- Create another product with name "BOM", "Bill of Materials" product category and bill of materials checkbos selected. Navigate to Bill of Materials tab and create two new lines:
    BOM Product: BOM1 - part 1, BOM Quantity: 3
    BOM Product: BOM1 - part 2, BOM Quantity: 2
Click on Verify BOM button.

- Go to Bill of Materials Production window and create a new record. Navigate to Production Plan tab and create a new record with BOM product, quantity 10 and storage bin L01. Click on Create/Process Production button. Click on Create/Process Production button again. Click on Post button.

Navigate to Accounting tab and realize that Accounting lines don't follow any order.
Proposed SolutionThe order should be:
1.- I/O Products line number
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0072491)
hgbot (developer)
2014-12-15 10:01

Repository: erp/devel/pi
Changeset: 9a54bcd074e84f3d65db0aea2a3381049e77f3f3
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Dec 11 14:13:06 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9a54bcd074e84f3d65db0aea2a3381049e77f3f3 [^]

Fixes bug 28387 BillofMaterialsAccounting should always be created in the same order

In order to help JUnit tests assert Bill of Materials Production accounting, an orderBy clause has been added when creating Bill of Materials Production Accounting lines, to be created always in the same order

---
M src/org/openbravo/erpCommon/ad_forms/DocLineProduction_data.xsql
---
(0072549)
umartirena (developer)
2014-12-16 13:55

Code Review and Testing Done.
(0073214)
hudsonbot (developer)
2014-12-30 23:27

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-12-11 14:07 aferraz New Issue
2014-12-11 14:07 aferraz Assigned To => aferraz
2014-12-11 14:07 aferraz Modules => Core
2014-12-11 14:07 aferraz Triggers an Emergency Pack => No
2014-12-15 10:01 hgbot Checkin
2014-12-15 10:01 hgbot Note Added: 0072491
2014-12-15 10:01 hgbot Status new => resolved
2014-12-15 10:01 hgbot Resolution open => fixed
2014-12-15 10:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9a54bcd074e84f3d65db0aea2a3381049e77f3f3 [^]
2014-12-15 10:09 aferraz Review Assigned To => umartirena
2014-12-15 10:09 aferraz Status resolved => closed
2014-12-15 10:12 aferraz Status closed => new
2014-12-15 10:12 aferraz Resolution fixed => open
2014-12-15 10:12 aferraz Status new => scheduled
2014-12-15 10:12 aferraz fix_in_branch => pi
2014-12-15 10:12 aferraz Status scheduled => resolved
2014-12-15 10:12 aferraz Resolution open => fixed
2014-12-15 10:12 aferraz Assigned To aferraz => umartirena
2014-12-16 13:55 umartirena Note Added: 0072549
2014-12-16 13:55 umartirena Status resolved => closed
2014-12-16 13:55 umartirena Fixed in Version => pi
2014-12-30 23:27 hudsonbot Checkin
2014-12-30 23:27 hudsonbot Note Added: 0073214


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker